<script setup lang="ts">
import { useVbenDrawer } from '@vben/common-ui';

import { getRepairFb } from '#/api/eims/repair-fb';
import { Description, useDescription } from '#/components/description';
import { descSchema } from '#/views/eims/repair-fb/data';

const [BasicDrawer, drawerApi] = useVbenDrawer({
  onOpenChange: handleOpenChange
});

const [registerDescription, { setDescProps }] = useDescription({
  column: 1,
  schema: descSchema
});

async function handleOpenChange(open: boolean) {
  if (!open) {
    return null;
  }
  const { id } = drawerApi.getData() as { id?: number | string };
  if (id) {
    const record = await getRepairFb(id);
    setDescProps({ data: record }, true);
  }
}
</script>

<template>
  <BasicDrawer :footer="false" class="w-[600px]" title="评价明细">
    <Description @register="registerDescription" />
  </BasicDrawer>
</template>
